package com.pcloud.book.advertising.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/27 15:06
 **/
@ApiModel("广告位投放关联")
public class AdvertisingPlanGroup extends BaseEntity {
    private static final long serialVersionUID = 6369920743164721663L;

    @ApiModelProperty("广告位计划id")
    private Long advertisingPlanId;

    @ApiModelProperty("书id")
    private Long bookId;

    @ApiModelProperty("社群id")
    private Long bookGroupId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("社群书群id")
    private Long qrcodeId;

    @ApiModelProperty("微信群id")
    private String weixinGroupId;

    @ApiModelProperty("是否删除")
    private Boolean isDelete;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    @ApiModelProperty("书名")
    private String bookName;

    @ApiModelProperty("社群码名称")
    private String groupQrcodeName;

    @ApiModelProperty("分类名称")
    private String classify;

    @ApiModelProperty("微信群名称")
    private String weixinGroupName;


    public Long getAdvertisingPlanId() {
        return advertisingPlanId;
    }

    public void setAdvertisingPlanId(Long advertisingPlanId) {
        this.advertisingPlanId = advertisingPlanId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getWeixinGroupName() {
        return weixinGroupName;
    }

    public void setWeixinGroupName(String weixinGroupName) {
        this.weixinGroupName = weixinGroupName;
    }

    @Override
    public String toString() {
        return "AdvertisingPlanGroup{" +
                "advertisingPlanId=" + advertisingPlanId +
                ", bookId=" + bookId +
                ", bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", qrcodeId=" + qrcodeId +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                ", isDelete=" + isDelete +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                ", bookName='" + bookName + '\'' +
                ", groupQrcodeName='" + groupQrcodeName + '\'' +
                ", classify='" + classify + '\'' +
                ", weixinGroupName='" + weixinGroupName + '\'' +
                "} " + super.toString();
    }
}
